Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumLimitType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumLimitType

Direct Known Subclasses:
  `TdApi.PremiumLimitTypeActiveStoryCount`, `TdApi.PremiumLimitTypeBioLength`, `TdApi.PremiumLimitTypeCaptionLength`, `TdApi.PremiumLimitTypeChatFolderChosenChatCount`, `TdApi.PremiumLimitTypeChatFolderCount`, `TdApi.PremiumLimitTypeChatFolderInviteLinkCount`, `TdApi.PremiumLimitTypeCreatedPublicChatCount`, `TdApi.PremiumLimitTypeFavoriteStickerCount`, `TdApi.PremiumLimitTypeMonthlySentStoryCount`, `TdApi.PremiumLimitTypePinnedArchivedChatCount`, `TdApi.PremiumLimitTypePinnedChatCount`, `TdApi.PremiumLimitTypePinnedSavedMessagesTopicCount`, `TdApi.PremiumLimitTypeSavedAnimationCount`, `TdApi.PremiumLimitTypeShareableChatFolderCount`, `TdApi.PremiumLimitTypeSimilarChatCount`, `TdApi.PremiumLimitTypeStoryCaptionLength`, `TdApi.PremiumLimitTypeStorySuggestedReactionAreaCount`, `TdApi.PremiumLimitTypeSupergroupCount`, `TdApi.PremiumLimitTypeWeeklySentStoryCount`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PremiumLimitType extends TdApi.Object permits TdApi.PremiumLimitTypeSupergroupCount, TdApi.PremiumLimitTypePinnedChatCount, TdApi.PremiumLimitTypeCreatedPublicChatCount, TdApi.PremiumLimitTypeSavedAnimationCount, TdApi.PremiumLimitTypeFavoriteStickerCount, TdApi.PremiumLimitTypeChatFolderCount, TdApi.PremiumLimitTypeChatFolderChosenChatCount, TdApi.PremiumLimitTypePinnedArchivedChatCount, TdApi.PremiumLimitTypePinnedSavedMessagesTopicCount, TdApi.PremiumLimitTypeCaptionLength, TdApi.PremiumLimitTypeBioLength, TdApi.PremiumLimitTypeChatFolderInviteLinkCount, TdApi.PremiumLimitTypeShareableChatFolderCount, TdApi.PremiumLimitTypeActiveStoryCount, TdApi.PremiumLimitTypeWeeklySentStoryCount, TdApi.PremiumLimitTypeMonthlySentStoryCount, TdApi.PremiumLimitTypeStoryCaptionLength, TdApi.PremiumLimitTypeStorySuggestedReactionAreaCount, TdApi.PremiumLimitTypeSimilarChatCount
This class is an abstract base class. Describes type of a limit, increased for Premium users.

## Constructor Summary

Constructors
Constructor
Description
`PremiumLimitType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PremiumLimitType

public PremiumLimitType()
Default class constructor.